unit DemoForm;

interface

uses
  Forms, StdCtrls, Classes, Controls, AnimationEffect, EffectUtils;

type
  TDemo = class(TForm)
    Button1: TButton;
    AE: TAnimationEffect;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

procedure ShowDemo(Effect: TAnimationEffectType);

implementation

{$R *.DFM}

procedure ShowDemo(Effect: TAnimationEffectType);
begin
  with TDemo.Create(Application) do
   try
     AE.EffectType := Effect;
     ShowModal;
   finally
     Free;
   end;
end;

procedure TDemo.Button1Click(Sender: TObject);
begin
  Close;
end;

end.
